Type of object is always connectSession.
connectSession Unique identifier for the Connect Session.
"csn_0SNlurA049MEWV1GWxpaE5D0t2D6"The theme setting that will influence the visual appearance during the Connect Session.
"light"light dark The URL to which the user will be redirected after the Connect Session is completed.
"https://example.com"The session URL. Redirect your users to this URL to take them to Connect. It is only present on all create responses or in the update responses that associate the session with a user. It should not be stored, logged or exposed to anyone other than the user.
"https://connect.gigs.com/checkout/entry?session=csn_0SNlurA049MEWV1GWxpaE5D0t2D6&token=lzODbEyaUQjVRAmalD4pdaq5Nkn1Lw0qTL6Rdsh7PwLVES6N7ImWxnCYbJA99AXp"The unique identifier of the user that the session is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"{
"object": "connectSession",
"id": "csn_0SNlurA049MEWV1GWxpaE5D0t2D6",
"appearance": {
"theme": "light"
},
"callbackUrl": "https://example.com",
"intent": {
"cancelSubscription": {
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
},
"changeSubscription": {
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
},
"checkoutAddon": {
"addons": [
"add_0SNlurA049MEWV4VxLfwJc7PJtHc"
],
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
},
"checkoutNewSubscription": {
"device": "dev_0SNlurA049MEWV55CrA9qMvI2FVJ",
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"sim": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"imei": "492388841798923",
"voucherCode": "PROMO10"
},
"completePorting": {
"behavior": {
"hideIntroPage": true,
"hideOutroPage": true
},
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
},
"confirmPayment": {
"payment": "pay_0SNlurA049MEWV2HRA0slWFuS8DV"
},
"resumeSubscription": {
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
},
"type": "cancelSubscription",
"viewEsimInstallation": {
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
},
"viewSubscription": {
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
}
},
"url": "https://connect.gigs.com/checkout/entry?session=csn_0SNlurA049MEWV1GWxpaE5D0t2D6&token=lzODbEyaUQjVRAmalD4pdaq5Nkn1Lw0qTL6Rdsh7PwLVES6N7ImWxnCYbJA99AXp",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Creates a new Connect Session for the given parameters.
Related guide: Connect Sessions
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
The theme setting that will influence the visual appearance during the Connect Session.
"light"light dark The URL to which the user will be redirected after the Connect Session is completed.
"https://example.com"The unique identifier of the user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"Returns the newly created Connect Session.
Type of object is always connectSession.
connectSession Unique identifier for the Connect Session.
"csn_0SNlurA049MEWV1GWxpaE5D0t2D6"The theme setting that will influence the visual appearance during the Connect Session.
"light"light dark The URL to which the user will be redirected after the Connect Session is completed.
"https://example.com"The session URL. Redirect your users to this URL to take them to Connect. It is only present on all create responses or in the update responses that associate the session with a user. It should not be stored, logged or exposed to anyone other than the user.
"https://connect.gigs.com/checkout/entry?session=csn_0SNlurA049MEWV1GWxpaE5D0t2D6&token=lzODbEyaUQjVRAmalD4pdaq5Nkn1Lw0qTL6Rdsh7PwLVES6N7ImWxnCYbJA99AXp"The unique identifier of the user that the session is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/connectSessions \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"appearance": {
"theme": "light"
},
"callbackUrl": "https://example.com",
"intent": {
"type": "cancelSubscription",
"cancelSubscription": {
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
}
},
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"userDetails": {
"birthday": "2017-07-21",
"email": "jerry@example.com",
"fullName": "Jerry Seinfeld",
"metadata": {},
"preferredLocale": "en-US"
}
}'
{
"object": "connectSession",
"id": "csn_0SNlurA049MEWV1GWxpaE5D0t2D6",
"appearance": {
"theme": "light"
},
"callbackUrl": "https://example.com",
"intent": {
"cancelSubscription": {
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
},
"type": "cancelSubscription"
},
"url": "https://connect.gigs.com/checkout/entry?session=csn_0SNlurA049MEWV1GWxpaE5D0t2D6&token=lzODbEyaUQjVRAmalD4pdaq5Nkn1Lw0qTL6Rdsh7PwLVES6N7ImWxnCYbJA99AXp",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Retrieves the details of an existing Connect Session.
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Returns the Connect Session if it exists.
Type of object is always connectSession.
connectSession Unique identifier for the Connect Session.
"csn_0SNlurA049MEWV1GWxpaE5D0t2D6"The theme setting that will influence the visual appearance during the Connect Session.
"light"light dark The URL to which the user will be redirected after the Connect Session is completed.
"https://example.com"The session URL. Redirect your users to this URL to take them to Connect. It is only present on all create responses or in the update responses that associate the session with a user. It should not be stored, logged or exposed to anyone other than the user.
"https://connect.gigs.com/checkout/entry?session=csn_0SNlurA049MEWV1GWxpaE5D0t2D6&token=lzODbEyaUQjVRAmalD4pdaq5Nkn1Lw0qTL6Rdsh7PwLVES6N7ImWxnCYbJA99AXp"The unique identifier of the user that the session is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/connectSessions/{connectSessionId} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "connectSession",
"id": "csn_0SNlurA049MEWV1GWxpaE5D0t2D6",
"appearance": {
"theme": "light"
},
"callbackUrl": "https://example.com",
"intent": {
"cancelSubscription": {
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
},
"type": "cancelSubscription"
},
"url": "https://connect.gigs.com/checkout/entry?session=csn_0SNlurA049MEWV1GWxpaE5D0t2D6&token=lzODbEyaUQjVRAmalD4pdaq5Nkn1Lw0qTL6Rdsh7PwLVES6N7ImWxnCYbJA99AXp",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Updates the Connect Session with the given parameters.
The user or userDetails attributes can only be set when the session is not associated with a user yet.
Related guide: Connect Sessions
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
The theme setting that will influence the visual appearance during the Connect Session.
"light"light dark The URL to which the user will be redirected after the Connect Session is completed.
"https://example.com"The unique identifier of the user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"Returns the updated Connect Session.
Type of object is always connectSession.
connectSession Unique identifier for the Connect Session.
"csn_0SNlurA049MEWV1GWxpaE5D0t2D6"The theme setting that will influence the visual appearance during the Connect Session.
"light"light dark The URL to which the user will be redirected after the Connect Session is completed.
"https://example.com"The session URL. Redirect your users to this URL to take them to Connect. It is only present on all create responses or in the update responses that associate the session with a user. It should not be stored, logged or exposed to anyone other than the user.
"https://connect.gigs.com/checkout/entry?session=csn_0SNlurA049MEWV1GWxpaE5D0t2D6&token=lzODbEyaUQjVRAmalD4pdaq5Nkn1Lw0qTL6Rdsh7PwLVES6N7ImWxnCYbJA99AXp"The unique identifier of the user that the session is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/connectSessions/{connectSessionId} \
-X PATCH \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"appearance": {
"theme": "light"
},
"callbackUrl": "https://example.com",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"userDetails": {
"birthday": "2017-07-21",
"email": "jerry@example.com",
"fullName": "Jerry Seinfeld",
"metadata": {},
"preferredLocale": "en-US"
}
}'
{
"object": "connectSession",
"id": "csn_0SNlurA049MEWV1GWxpaE5D0t2D6",
"appearance": {
"theme": "light"
},
"callbackUrl": "https://example.com",
"intent": {
"cancelSubscription": {
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
},
"type": "cancelSubscription"
},
"url": "https://connect.gigs.com/checkout/entry?session=csn_0SNlurA049MEWV1GWxpaE5D0t2D6&token=lzODbEyaUQjVRAmalD4pdaq5Nkn1Lw0qTL6Rdsh7PwLVES6N7ImWxnCYbJA99AXp",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}